## /control/matScan/

Material scanner commands.

## Sub-directories :

## Commands :

scan

  Start material scanning.
  Scanning range should be defined with
  /control/matScan/theta and /control/matSca/phi commands.

  Available Geant4 state(s) : Idle

theta [nbin] [thetaMin] [thetaSpan] [unit]

  Define theta range.
  Usage : /control/matScan/theta [nbin] [thetaMin] [thetaSpan] [unit]
  Notation of angles :
  theta --- +Z axis : +90 deg. / X-Y plane : 0 deg. / -Z axis : -90 deg.

  Available at all Geant4 states.

  Parameters

  nbin | type i |  | Parameter range : nbin>0
  thetaMin | type d |  |
  thetaSpan | type d | Omittable : default value = 0 | Parameter range : thetaSpan>=0.
  unit | type c | Omittable : default value = deg | Parameter candidates : rad mrad sr deg radian milliradian steradian degree

phi [nbin] [phiMin] [phiSpan] [unit]

  Define phi range.
  Usage : /control/matScan/phi [nbin] [phiMin] [phiSpan] [unit]
  Notation of angles :
  phi --- +X axis : 0 deg. / +Y axis : 90 deg. / -X axis : 180 deg. / -Y axis : 270 deg.

  Available at all Geant4 states.

  Parameters

  nbin | type i |  | Parameter range : nbin>0
  phiMin | type d |  |
  phiSpan | type d | Omittable : default value = 0 | Parameter range : phiSpan>=0.
  unit | type c | Omittable : default value = deg | Parameter candidates : rad mrad sr deg radian milliradian steradian degree

singleMeasure [theta] [phi] [unit]

  Measure thickness for one particular direction.
  Notation of angles :
  theta --- +Z axis : +90 deg. / X-Y plane : 0 deg. / -Z axis : -90 deg.
  phi --- +X axis : 0 deg. / +Y axis : 90 deg. / -X axis : 180 deg. / -Y axis : 270 deg.

  Available Geant4 state(s) : Idle

  Parameters

  theta | type d |  |
  phi | type d |  |
  unit | type c | Omittable : default value = deg | Parameter candidates : rad mrad sr deg radian milliradian steradian degree

singleTo [X] [Y] [Z]

  Measure thicknesss for one direction defined by a unit vector.

  Available at all Geant4 states.

  Parameters

  X | type d |  |
  Y | type d |  |
  Z | type d |  |

eyePosition [X] [Y] [Z] [Unit]

  Define the eye position.

  Available at all Geant4 states.

  Parameters

  X | type d | Omittable : default value = 0 |
  Y | type d | Omittable : default value = 0 |
  Z | type d | Omittable : default value = 0 |
  Unit | type s | Omittable : default value = m | Parameter candidates : pc km m cm mm um nm Ang fm parsec kilometer meter centimeter millimeter micrometer nanometer angstrom fermi

regionSensitive [senseFlag]

  Set region sensitivity.
  This command is automatically set to TRUE
  if /control/matScan/region command is issued.

  Available at all Geant4 states.

  Parameters

  senseFlag | type b | Omittable : default value = 0 |

region [region]

  Define region name to be scanned.
  /control/matScan/regionSensitive command is automatically
  set to TRUE with this command.

  Available at all Geant4 states.

  Parameters

  region | type s | Omittable : default value = DefaultRegionForTheWorld |